Skip to content
Start here

Delete Pipelines

client.pipelines.deleteV1(stringpipelineId, PipelineDeleteV1Params { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/pipelines/v1/pipelines/{pipeline_id}

Delete Pipeline in Account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
pipelineId: string

Specifies the public ID of the pipeline.

maxLength32
minLength32
params: PipelineDeleteV1Params { account_id }
account_id: string

Specifies the public ID of the account.

Delete Pipelines

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.pipelines.deleteV1('043e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
});
Returns Examples